﻿@model Person

@{
    ViewBag.Title = "Edit person";
    /*Layout = "_Layout";*/
}

<h2>Edit person</h2>
<form action="/Person/Edit" method="POST">
    Firstname: <input name="firstname" value="@Model.Firstname"><br/>
    Lastname: <input name="lastname" value="@Model.Lastname"><br/>
    <input type="submit" value="Verzenden">
</form>
<hr/>
<form asp-controller="Person" asp-action="Edit" method="POST">
    Firstname: <input asp-for="Firstname"><span asp-validation-for="Firstname"></span><br/>
    Lastname: <input asp-for="Lastname"><span asp-validation-for="Lastname"></span><br/>
    <div asp-validation-summary="All"></div>
    <input type="submit" value="Verzenden">
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial"/>
}